Bug 24837 - selectbranchprinter needs to be renamed
Summary: selectbranchprinter needs to be renamed
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 17845
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-10 10:14 UTC by Jonathan Druart
Modified: 2020-04-03 21:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24837: Rename selectbranchprinter.pl to set-library.pl (9.59 KB, patch)
2020-03-16 00:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24837: Rename selectbranchprinter.pl to set-library.pl (9.65 KB, patch)
2020-03-22 14:05 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24837: Rename selectbranchprinter.pl to set-library.pl (9.72 KB, patch)
2020-03-23 15:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-03-10 10:14:54 UTC
script and template selectbranchprinter[.pl|.tt] should be renamed.
Bug 17845 removed the branchprinter feature, so the script should be named select_library or equivalent.
Comment 1 Katrin Fischer 2020-03-16 00:13:21 UTC
Created attachment 100715 [details] [review]
Bug 24837: Rename selectbranchprinter.pl to set-library.pl

This renames the selectbranchprinter.pl file to the more
fitting set-library.pl.

To test:
- Change the library with "Set library" from
  - The menu in the top navigation bar
  - The circulation start page
- Verify the help link on page leads to the correct
  section in the manual
- Read the code... and verify all occurences have been caught
Comment 2 Bernardo Gonzalez Kriegel 2020-03-22 14:05:25 UTC
Created attachment 101371 [details] [review]
Bug 24837: Rename selectbranchprinter.pl to set-library.pl

This renames the selectbranchprinter.pl file to the more
fitting set-library.pl.

To test:
- Change the library with "Set library" from
  - The menu in the top navigation bar
  - The circulation start page
- Verify the help link on page leads to the correct
  section in the manual
- Read the code... and verify all occurences have been caught

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works ok, fixed tab char in circ/branchtransfers.pl
Comment 3 Jonathan Druart 2020-03-23 15:19:51 UTC
Created attachment 101457 [details] [review]
Bug 24837: Rename selectbranchprinter.pl to set-library.pl

This renames the selectbranchprinter.pl file to the more
fitting set-library.pl.

To test:
- Change the library with "Set library" from
  - The menu in the top navigation bar
  - The circulation start page
- Verify the help link on page leads to the correct
  section in the manual
- Read the code... and verify all occurences have been caught

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works ok, fixed tab char in circ/branchtransfers.pl

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-03-24 11:07:52 UTC
Thanks for grabbing this one :)
Comment 5 Martin Renvoize 2020-03-24 11:33:57 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 21:46:17 UTC
not backported to 19.11.x